summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorAndrew Gallant <jamslam@gmail.com>2016-09-21 20:19:29 -0400
committerAndrew Gallant <jamslam@gmail.com>2016-09-21 20:19:29 -0400
commitf462d092e7f5c4e9a9b6da0b6b6c240f6b776f9e (patch)
treea798b4419b82f76aea845d9494edd8cd36b56038 /ci
parentfe84928c855a04d345617993603565bbf92ae54b (diff)
Add Archlinux AUR package.
Diffstat (limited to 'ci')
-rw-r--r--ci/sha256.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/ci/sha256.sh b/ci/sha256.sh
index 927c2e0f..670c9766 100644
--- a/ci/sha256.sh
+++ b/ci/sha256.sh
@@ -1,15 +1,25 @@
#!/bin/sh
+set -e
+
if [ $# != 1 ]; then
echo "Usage: $(basename $0) version" >&2
exit 1
fi
version="$1"
+# Linux and Darwin builds.
for arch in i686 x86_64; do
for target in apple-darwin unknown-linux-musl; do
url="https://github.com/BurntSushi/ripgrep/releases/download/$version/ripgrep-$version-$arch-$target.tar.gz"
- sha=$(curl -L -s "$url" | sha256sum)
- echo $version-$arch-$target $sha
+ sha=$(curl -sfSL "$url" | sha256sum)
+ echo "$version-$arch-$target $sha"
done
done
+
+# Source.
+for ext in zip tar.gz; do
+ url="https://github.com/BurntSushi/ripgrep/archive/$version.$ext"
+ sha=$(curl -sfSL "$url" | sha256sum)
+ echo "source.$ext $sha"
+done